import { AutoMap } from '@automapper/classes';
import { Transform } from 'class-transformer';
import { IsInt, IsOptional } from 'class-validator';

export class MarginDTO {
  @IsInt()
  @IsOptional()
  @AutoMap()
  mon?: number;

  @IsInt()
  @IsOptional()
  @AutoMap()
  tue?: number;

  @IsInt()
  @IsOptional()
  @AutoMap()
  wed?: number;

  @IsInt()
  @IsOptional()
  @AutoMap()
  thu?: number;

  @IsInt()
  @IsOptional()
  @AutoMap()
  fri?: number;

  @IsInt()
  @IsOptional()
  @AutoMap()
  sat?: number;

  @IsInt()
  @IsOptional()
  @AutoMap()
  sun?: number;
}
