import { AutoMap } from '@automapper/classes';
import { IsOptional, IsString } from 'class-validator';

export class ScheduleDTO {
  @IsString()
  @IsOptional()
  @AutoMap()
  monTime?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  tueTime?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  wedTime?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  thuTime?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  friTime?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  satTime?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  sunTime?: string;
}
